%global debug_package %{nil}
AutoReqProv: no

Name:           chromium-unstable
Version:        139.0
Release:        0%{?dist}
Summary:        Chromium
License:        GPLv2
URL:            https://gitlab.com/kohnish/chromium
BuildRequires:  p7zip p7zip-plugins
Requires: curl unzip
Source1: chromium-unstable.desktop

%description
chromium

%prep

%build
ver=139.0.7226.0
ver_full=v${ver}-r1470985
rev=1
curl -L -o chromium.deb https://github.com/RobRich999/Chromium_Clang/releases/download/${ver_full}-linux64-deb-avx2/chromium-browser-unstable_${ver}-${rev}_amd64.deb
7z x -aoa chromium.deb

curl -L -O https://github.com/kohnish/chromium-widevine/archive/refs/heads/master.zip
7z x master.zip
./chromium-widevine-master/use-standalone-widevine.sh $%{buildroot}/opt/chromium.org/

mkdir -p %{buildroot}/usr/share/applications
cp ${SOURCE1} %{buildroot}/usr/share/applications

%install
tar --overwrite -xf data.tar.xz -C%{buildroot}
rm %{buildroot}/opt/chromium.org/chromium-unstable/chromium-browser
rm -rf %{buildroot}/usr
rm -rf %{buildroot}/etc

%files
/opt/chromium.org

%changelog
* Mon May 04 2020 kohnish gmx <kohnish@gmx.com> - 1.5.1-1
- Initial
